Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface Cone

All Superinterfaces:
  GenericSurface, GriddedSurface, ParametricCurveSurface, SurfacePatch

    @UML(identifier="GM_Cone",
         specification=ISO_19107)
    public interface Cone

extends GriddedSurface

A gridded surface given as a family of conic sections whose control points vary linearly. A 5-point ellipse with all defining positions identical is a point. Thus, a truncated elliptical cone can be given as a 2×5 set of control points <<P1, P1, P1, P1, P1>, <P2, P3, P4, P5, P6>>. P1 is the apex of the cone. P2, P3, P4, P5, and P6 are any five distinct points around the base ellipse of the cone. If the horizontal curves are circles as opposed to ellipses, then a circular cone can be constructed using <<P1, P1, P1>, <P2, P3, P4>>.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary

Methods inherited from interface GriddedSurface
`getColumns, getControlPoints, getRows`

Methods inherited from interface ParametricCurveSurface
`getHorizontalCurveType, getVerticalCurveType, horizontalCurve, surface, verticalCurve`

Methods inherited from interface SurfacePatch
`getBoundary, getInterpolation, getNumDerivativesOnBoundary, getSurface`

Methods inherited from interface GenericSurface
`getArea, getPerimeter, getUpNormal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.